<?php

use App\Models\User;

return [

    /*
    |--------------------------------------------------------------------------
    | Third Party Services
    |--------------------------------------------------------------------------
    |
    | This file is for storing the credentials for third party services such
    | as Stripe, Mailgun, SparkPost and others. This file provides a sane
    | default location for this type of information, allowing packages
    | to have a conventional place to find your various credentials.
    |
    */

        'mailgun' => [
                'domain'   => env('MAILGUN_DOMAIN'),
                'secret'   => env('MAILGUN_SECRET'),
                'endpoint' => env('MAILGUN_ENDPOINT', 'api.mailgun.net'),
        ],

        'postmark' => [
                'token' => env('POSTMARK_TOKEN'),
        ],

        'ses' => [
                'key'    => env('AWS_ACCESS_KEY_ID'),
                'secret' => env('AWS_SECRET_ACCESS_KEY'),
                'region' => env('AWS_DEFAULT_REGION', 'us-east-1'),
        ],

        'sparkpost' => [
                'secret' => env('SPARKPOST_SECRET'),
        ],

        'stripe'   => [
                'model'   => User::class,
                'key'     => env('STRIPE_KEY'),
                'secret'  => env('STRIPE_SECRET'),
                'webhook' => [
                        'secret'    => env('STRIPE_WEBHOOK_SECRET'),
                        'tolerance' => env('STRIPE_WEBHOOK_TOLERANCE', 300),
                ],
        ],


    /*
     * Laravel socialite services
     */
        'facebook' => [
                'active'        => env('SOCIALITE_FACEBOOK'),
                'client_id'     => env('FACEBOOK_CLIENT_ID'),
                'client_secret' => env('FACEBOOK_CLIENT_SECRET'),
                'redirect'      => env('FACEBOOK_REDIRECT'),
        ],

        'twitter' => [
                'active'        => env('SOCIALITE_TWITTER'),
                'client_id'     => env('TWITTER_CLIENT_ID'),
                'client_secret' => env('TWITTER_CLIENT_SECRET'),
                'redirect'      => env('TWITTER_REDIRECT'),
        ],

        'google' => [
                'active'        => env('SOCIALITE_GOOGLE'),
                'client_id'     => env('GOOGLE_CLIENT_ID'),
                'client_secret' => env('GOOGLE_CLIENT_SECRET'),
                'redirect'      => env('GOOGLE_REDIRECT'),
        ],

        'github' => [
                'active'        => env('SOCIALITE_GITHUB'),
                'client_id'     => env('GITHUB_CLIENT_ID'),
                'client_secret' => env('GITHUB_CLIENT_SECRET'),
                'redirect'      => env('GITHUB_REDIRECT'),
        ],


];
