<?php //5d0ff3bcd24affafe2d89033b5fa9a08
/** @noinspection all */

namespace App\Events {

    use App\Models\ChatBox;
    use App\Models\User;
    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch($user, $message, $data)
     * @method static PendingBroadcast broadcast($user, $message, $data)
     */
    class MessageReceived {}
    
    /**
     * @method static void dispatch(User $user, ChatBox $message)
     * @method static PendingBroadcast broadcast(User $user, ChatBox $message)
     */
    class MessageSent {}
}

namespace App\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch($customer_id, $campaign_id, $list, $db_fields, $campaign_fields)
     * @method static void dispatchNow($customer_id, $campaign_id, $list, $db_fields, $campaign_fields)
     */
    class ImportCampaign {}
    
    /**
     * @method static PendingDispatch dispatch($customer_id, $group_id, $list, $db_fields)
     * @method static void dispatchNow($customer_id, $group_id, $list, $db_fields)
     */
    class ImportContacts {}
    
    /**
     * @method static PendingDispatch dispatch($group_id, $contact)
     * @method static void dispatchNow($group_id, $contact)
     */
    class ReplicateContacts {}
    
    /**
     * @method static PendingDispatch dispatch($user_id, $campaign_id, $collection, $db_fields, $campaign_fields)
     * @method static void dispatchNow($user_id, $campaign_id, $collection, $db_fields, $campaign_fields)
     */
    class ScheduleBatchJob {}
    
    /**
     * @method static PendingDispatch dispatch($campaign_id)
     * @method static void dispatchNow($campaign_id)
     */
    class StoreCampaignJob {}
}

namespace Illuminate\Foundation\Console {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(array $data)
     * @method static void dispatchNow(array $data)
     */
    class QueuedCommand {}
}

namespace Illuminate\Queue {

    use Illuminate\Foundation\Bus\PendingDispatch;
    use Laravel\SerializableClosure\SerializableClosure;
    
    /**
     * @method static PendingDispatch dispatch(SerializableClosure $closure)
     * @method static void dispatchNow(SerializableClosure $closure)
     */
    class CallQueuedClosure {}
}

namespace Maatwebsite\Excel\Jobs {

    use Illuminate\Contracts\Queue\ShouldQueue;
    use Illuminate\Foundation\Bus\PendingDispatch;
    use Maatwebsite\Excel\Concerns\FromQuery;
    use Maatwebsite\Excel\Concerns\FromView;
    use Maatwebsite\Excel\Files\TemporaryFile;
    
    /**
     * @method static PendingDispatch dispatch(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     * @method static void dispatchNow(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     */
    class AppendDataToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     * @method static void dispatchNow(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     */
    class AppendQueryToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     * @method static void dispatchNow(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     */
    class AppendViewToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(object $export, TemporaryFile $temporaryFile, string $writerType)
     * @method static void dispatchNow(object $export, TemporaryFile $temporaryFile, string $writerType)
     */
    class QueueExport {}
    
    /**
     * @method static PendingDispatch dispatch(ShouldQueue $import = null)
     * @method static void dispatchNow(ShouldQueue $import = null)
     */
    class QueueImport {}
}
