ace.define("ace/mode/lua",["require","exports","module","ace/lib/oop","ace/mode/text","ace/tokenizer","ace/mode/lua_highlight_rules","ace/mode/folding/lua","ace/range"],(function(e,t,n){var r=e("../lib/oop"),o=e("./text").Mode,i=e("../tokenizer").Tokenizer,a=e("./lua_highlight_rules").LuaHighlightRules,g=e("./folding/lua").FoldMode,s=e("../range").Range,l=function(){this.$tokenizer=new i((new a).getRules()),this.foldingRules=new g};r.inherits(l,o),function(){function e(e){var n=0;for(var r in e){var o=e[r];"keyword"==o.type?o.value in t&&(n+=t[o.value]):"paren.lparen"==o.type?n++:"paren.rparen"==o.type&&n--}return n<0?-1:n>0?1:0}var t={function:1,then:1,do:1,else:1,elseif:1,repeat:1,end:-1,until:-1},n=["else","elseif","end","until"];this.getNextLineIndent=function(t,n,r){var o=this.$getIndent(n),i=0,a=this.$tokenizer.getLineTokens(n,t).tokens;return"start"==t&&(i=e(a)),i>0?o+r:i<0&&o.substr(o.length-r.length)==r&&!this.checkOutdent(t,n,"\n")?o.substr(0,o.length-r.length):o},this.checkOutdent=function(e,t,r){if("\n"!=r&&"\r"!=r&&"\r\n"!=r)return!1;if(t.match(/^\s*[\)\}\]]$/))return!0;var o=this.$tokenizer.getLineTokens(t.trim(),e).tokens;return!(!o||!o.length)&&("keyword"==o[0].type&&-1!=n.indexOf(o[0].value))},this.autoOutdent=function(t,n,r){var o=n.getLine(r-1),i=this.$getIndent(o).length,a=this.$tokenizer.getLineTokens(o,"start").tokens,g=i+n.getTabString().length*e(a);this.$getIndent(n.getLine(r)).length<g||n.outdentRows(new s(r,0,r+2,0))}}.call(l.prototype),t.Mode=l})),ace.define("ace/mode/lua_highlight_rules",["require","exports","module","ace/lib/oop","ace/mode/text_highlight_rules"],(function(e,t,n){var r=e("../lib/oop"),o=e("./text_highlight_rules").TextHighlightRules,i=function(){var e=this.createKeywordMapper({keyword:"break|do|else|elseif|end|for|function|if|in|local|repeat|return|then|until|while|or|and|not","support.function":"string|xpcall|package|tostring|print|os|unpack|require|getfenv|setmetatable|next|assert|tonumber|io|rawequal|collectgarbage|getmetatable|module|rawset|math|debug|pcall|table|newproxy|type|coroutine|_G|select|gcinfo|pairs|rawget|loadstring|ipairs|_VERSION|dofile|setfenv|load|error|loadfile|sub|upper|len|gfind|rep|find|match|char|dump|gmatch|reverse|byte|format|gsub|lower|preload|loadlib|loaded|loaders|cpath|config|path|seeall|exit|setlocale|date|getenv|difftime|remove|time|clock|tmpname|rename|execute|lines|write|close|flush|open|output|type|read|stderr|stdin|input|stdout|popen|tmpfile|log|max|acos|huge|ldexp|pi|cos|tanh|pow|deg|tan|cosh|sinh|random|randomseed|frexp|ceil|floor|rad|abs|sqrt|modf|asin|min|mod|fmod|log10|atan2|exp|sin|atan|getupvalue|debug|sethook|getmetatable|gethook|setmetatable|setlocal|traceback|setfenv|getinfo|setupvalue|getlocal|getregistry|getfenv|setn|insert|getn|foreachi|maxn|foreach|concat|sort|remove|resume|yield|status|wrap|create|running|__add|__sub|__mod|__unm|__concat|__lt|__index|__call|__gc|__metatable|__mul|__div|__pow|__len|__eq|__le|__newindex|__tostring|__mode|__tonumber","invalid.deprecated":"setn|foreach|foreachi|gcinfo|log10|maxn","constant.library":"string|package|os|io|math|debug|table|coroutine","constant.language":"true|false|nil|_G|_VERSION","invalid.illegal":"","variable.language":"this"},"identifier"),t=[];this.$rules={start:[{token:"comment",regex:"\\-\\-\\[\\[.*\\]\\]"},{token:"comment",regex:"\\-\\-\\[\\=\\[.*\\]\\=\\]"},{token:"comment",regex:"\\-\\-\\[\\={2}\\[.*\\]\\={2}\\]"},{token:"comment",regex:"\\-\\-\\[\\={3}\\[.*\\]\\={3}\\]"},{token:"comment",regex:"\\-\\-\\[\\={4}\\[.*\\]\\={4}\\]"},{token:"comment",regex:"\\-\\-\\[\\={5}\\=*\\[.*\\]\\={5}\\=*\\]"},{token:"comment",regex:"\\-\\-\\[\\[.*$",next:"qcomment"},{token:"comment",regex:"\\-\\-\\[\\=\\[.*$",next:"qcomment1"},{token:"comment",regex:"\\-\\-\\[\\={2}\\[.*$",next:"qcomment2"},{token:"comment",regex:"\\-\\-\\[\\={3}\\[.*$",next:"qcomment3"},{token:"comment",regex:"\\-\\-\\[\\={4}\\[.*$",next:"qcomment4"},{token:function(e){var n;return null!=(n=/\-\-\[(\=+)\[/.exec(e))&&null!=(n=n[1])&&t.push(n.length),"comment"},regex:"\\-\\-\\[\\={5}\\=*\\[.*$",next:"qcomment5"},{token:"comment",regex:"\\-\\-.*$"},{token:"string",regex:"\\[\\[.*\\]\\]"},{token:"string",regex:"\\[\\=\\[.*\\]\\=\\]"},{token:"string",regex:"\\[\\={2}\\[.*\\]\\={2}\\]"},{token:"string",regex:"\\[\\={3}\\[.*\\]\\={3}\\]"},{token:"string",regex:"\\[\\={4}\\[.*\\]\\={4}\\]"},{token:"string",regex:"\\[\\={5}\\=*\\[.*\\]\\={5}\\=*\\]"},{token:"string",regex:"\\[\\[.*$",next:"qstring"},{token:"string",regex:"\\[\\=\\[.*$",next:"qstring1"},{token:"string",regex:"\\[\\={2}\\[.*$",next:"qstring2"},{token:"string",regex:"\\[\\={3}\\[.*$",next:"qstring3"},{token:"string",regex:"\\[\\={4}\\[.*$",next:"qstring4"},{token:function(e){var n;return null!=(n=/\[(\=+)\[/.exec(e))&&null!=(n=n[1])&&t.push(n.length),"string"},regex:"\\[\\={5}\\=*\\[.*$",next:"qstring5"},{token:"string",regex:'"(?:[^\\\\]|\\\\.)*?"'},{token:"string",regex:"'(?:[^\\\\]|\\\\.)*?'"},{token:"constant.numeric",regex:"(?:(?:(?:(?:\\d+)?(?:\\.\\d+))|(?:(?:\\d+)\\.)))"},{token:"constant.numeric",regex:"(?:(?:(?:[1-9]\\d*)|(?:0))|(?:0[xX][\\dA-Fa-f]+))\\b"},{token:e,regex:"[a-zA-Z_$][a-zA-Z0-9_$]*\\b"},{token:"keyword.operator",regex:"\\+|\\-|\\*|\\/|%|\\#|\\^|~|<|>|<=|=>|==|~=|=|\\:|\\.\\.\\.|\\.\\."},{token:"paren.lparen",regex:"[\\[\\(\\{]"},{token:"paren.rparen",regex:"[\\]\\)\\}]"},{token:"text",regex:"\\s+"}],qcomment:[{token:"comment",regex:"(?:[^\\\\]|\\\\.)*?\\]\\]",next:"start"},{token:"comment",regex:".+"}],qcomment1:[{token:"comment",regex:"(?:[^\\\\]|\\\\.)*?\\]\\=\\]",next:"start"},{token:"comment",regex:".+"}],qcomment2:[{token:"comment",regex:"(?:[^\\\\]|\\\\.)*?\\]\\={2}\\]",next:"start"},{token:"comment",regex:".+"}],qcomment3:[{token:"comment",regex:"(?:[^\\\\]|\\\\.)*?\\]\\={3}\\]",next:"start"},{token:"comment",regex:".+"}],qcomment4:[{token:"comment",regex:"(?:[^\\\\]|\\\\.)*?\\]\\={4}\\]",next:"start"},{token:"comment",regex:".+"}],qcomment5:[{token:function(e){var n,r=this.rules.qcomment5[0];if(r.next="start",null!=(n=/\](\=+)\]/.exec(e))&&null!=(n=n[1])){var o,i=n.length;(o=t.pop())!=i&&(t.push(o),r.next="qcomment5")}return"comment"},regex:"(?:[^\\\\]|\\\\.)*?\\]\\={5}\\=*\\]",next:"start"},{token:"comment",regex:".+"}],qstring:[{token:"string",regex:"(?:[^\\\\]|\\\\.)*?\\]\\]",next:"start"},{token:"string",regex:".+"}],qstring1:[{token:"string",regex:"(?:[^\\\\]|\\\\.)*?\\]\\=\\]",next:"start"},{token:"string",regex:".+"}],qstring2:[{token:"string",regex:"(?:[^\\\\]|\\\\.)*?\\]\\={2}\\]",next:"start"},{token:"string",regex:".+"}],qstring3:[{token:"string",regex:"(?:[^\\\\]|\\\\.)*?\\]\\={3}\\]",next:"start"},{token:"string",regex:".+"}],qstring4:[{token:"string",regex:"(?:[^\\\\]|\\\\.)*?\\]\\={4}\\]",next:"start"},{token:"string",regex:".+"}],qstring5:[{token:function(e){var n,r=this.rules.qstring5[0];if(r.next="start",null!=(n=/\](\=+)\]/.exec(e))&&null!=(n=n[1])){var o,i=n.length;(o=t.pop())!=i&&(t.push(o),r.next="qstring5")}return"string"},regex:"(?:[^\\\\]|\\\\.)*?\\]\\={5}\\=*\\]",next:"start"},{token:"string",regex:".+"}]}};r.inherits(i,o),t.LuaHighlightRules=i})),ace.define("ace/mode/folding/lua",["require","exports","module","ace/lib/oop","ace/mode/folding/fold_mode","ace/range","ace/token_iterator"],(function(e,t,n){var r=e("../../lib/oop"),o=e("./fold_mode").FoldMode,i=e("../../range").Range,a=e("../../token_iterator").TokenIterator,g=t.FoldMode=function(){};r.inherits(g,o),function(){this.foldingStartMarker=/\b(function|then|do|repeat)\b|{\s*$|(\[=*\[)/,this.foldingStopMarker=/\bend\b|^\s*}|\]=*\]/,this.getFoldWidget=function(e,t,n){var r=e.getLine(n),o=this.foldingStartMarker.test(r),i=this.foldingStopMarker.test(r);if(o&&!i){var a;if("then"==(a=r.match(this.foldingStartMarker))[1]&&/\belseif\b/.test(r))return;if(a[1]){if("keyword"===e.getTokenAt(n,a.index+1).type)return"start"}else{if(!a[2])return"start";if(-1!=(g=e.bgTokenizer.getState(n)||"").indexOf("comment")||-1!=g.indexOf("string"))return"start"}}if("markbeginend"!=t||!i||o&&i)return"";if("end"===(a=r.match(this.foldingStopMarker))[0]){if("keyword"===e.getTokenAt(n,a.index+1).type)return"end"}else{if("]"!==a[0][0])return"end";var g;if(-1!=(g=e.bgTokenizer.getState(n-1)||"").indexOf("comment")||-1!=g.indexOf("string"))return"end"}},this.getFoldWidgetRange=function(e,t,n){var r,o=e.doc.getLine(n);return(r=this.foldingStartMarker.exec(o))?r[1]?this.luaBlock(e,n,r.index+1):r[2]?e.getCommentFoldRange(n,r.index+1):this.openingBracketBlock(e,"{",n,r.index):(r=this.foldingStopMarker.exec(o))?"end"===r[0]&&"keyword"===e.getTokenAt(n,r.index+1).type?this.luaBlock(e,n,r.index+1):"]"===r[0][0]?e.getCommentFoldRange(n,r.index+1):this.closingBracketBlock(e,"}",n,r.index+r[0].length):void 0},this.luaBlock=function(e,t,n){var r=new a(e,t,n),o={function:1,do:1,then:1,elseif:-1,end:-1,repeat:1,until:-1},g=r.getCurrentToken();if(g&&"keyword"==g.type){var s=g.value,l=[s],c=o[s];if(c){var u=-1===c?r.getCurrentTokenColumn():e.getLine(t).length,d=t;for(r.step=-1===c?r.stepBackward:r.stepForward;g=r.step();)if("keyword"===g.type){var m=c*o[g.value];if(m>0)l.unshift(g.value);else if(m<=0){if(l.shift(),!l.length&&"elseif"!=g.value)break;0===m&&l.unshift(g.value)}}t=r.getCurrentTokenRow();return-1===c?new i(t,e.getLine(t).length,d,u):new i(d,u,t,r.getCurrentTokenColumn())}}}}.call(g.prototype)}));
